// -*- C++ -*-
// ACL:license
// ----------------------------------------------------------------------
// This software and ancillary information (herein called "SOFTWARE")
// called POOMA (Parallel Object-Oriented Methods and Applications) is
// made available under the terms described here.  The SOFTWARE has been
// approved for release with associated LA-CC Number LA-CC-98-65.
// 
// Unless otherwise indicated, this SOFTWARE has been authored by an
// employee or employees of the University of California, operator of the
// Los Alamos National Laboratory under Contract No. W-7405-ENG-36 with
// the U.S. Department of Energy.  The U.S. Government has rights to use,
// reproduce, and distribute this SOFTWARE. The public may copy, distribute,
// prepare derivative works and publicly display this SOFTWARE without 
// charge, provided that this Notice and any statement of authorship are 
// reproduced on all copies.  Neither the Government nor the University 
// makes any warranty, express or implied, or assumes any liability or 
// responsibility for the use of this SOFTWARE.
// 
// If SOFTWARE is modified to produce derivative works, such modified
// SOFTWARE should be clearly marked, so as not to confuse it with the
// version available from LANL.
// 
// For more information about POOMA, send e-mail to pooma@acl.lanl.gov,
// or visit the POOMA web page at http://www.acl.lanl.gov/pooma/.
// ----------------------------------------------------------------------
// ACL:license
//-----------------------------------------------------------------------------
// CodeWarrior-specific definitions for Serial Async
//-----------------------------------------------------------------------------

#ifndef POOMAASYNC_PREFIX_H
#define POOMAASYNC_PREFIX_H

#ifndef POOMA_DEFAULT_BLOCKING_EXPRESSIONS
#define POOMA_DEFAULT_BLOCKING_EXPRESSIONS  POOMA_FALSE
#endif

#include "Pooma.prefix.h"

#undef POOMA_SCHEDULER_NAME
#undef POOMA_SMARTS_SCHEDULER_SERIALASYNC
#undef POOMA_REORDER_ITERATES

#define POOMA_SCHEDULER_NAME                "serialAsync"
#define POOMA_SMARTS_SCHEDULER_SERIALASYNC  POOMA_YES
#define POOMA_REORDER_ITERATES              POOMA_YES

#endif  // POOMAASYNC_PREFIX_H

// ACL:rcsinfo
// ----------------------------------------------------------------------
// $RCSfile: PoomaAsync.prefix.h,v $   $Author: swhaney $
// $Revision: 1.18 $   $Date: 2000/05/31 02:32:27 $
// ----------------------------------------------------------------------
// ACL:rcsinfo
